Let's wait in GPL 3

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Let's wait in GPL 3

Steve Litt
Hi all,

I propose that we (all contributors) continue licensing VO under GPL2, and
ONLY GPL2 (none of this "GPL2 or later at your option" stuff) until we truly
understand the ramifications of GPL3.

Thanks

SteveT

Steve Litt
Author:
   * Universal Troubleshooting Process courseware
   * Troubleshooting Techniques of the Successful Technologist
   * Rapid Learning: Secret Weapon of the Successful Technologist
Webmaster
   * Troubleshooters.Com
   * http://www.troubleshooters.com
_______________________________________________
VimOutliner mailing list
[hidden email]
http://www.lists.vimoutliner.org/mailman/listinfo/vimoutliner
Reply | Threaded
Open this post in threaded view
|

Re: Let's wait in GPL 3

Noel Henson
On Thursday 02 February 2006 08:27 am, Steve Litt wrote:
> Hi all,
>
> I propose that we (all contributors) continue licensing VO under GPL2,
> and ONLY GPL2 (none of this "GPL2 or later at your option" stuff) until
> we truly understand the ramifications of GPL3.
>
> Thanks
>
> SteveT

Steve,

Could you elaborate?

Thanks,
Noel
--

------------------------------------------------------------------
  Noel Henson
  www.noels-lab.com Chips, firmware and embedded systems
  www.vimoutliner.org Work fast. Think well.

_______________________________________________
VimOutliner mailing list
[hidden email]
http://www.lists.vimoutliner.org/mailman/listinfo/vimoutliner
Reply | Threaded
Open this post in threaded view
|

Re: Let's wait in GPL 3

Steve Litt
On Thursday 02 February 2006 11:32 am, Noel Henson wrote:

> On Thursday 02 February 2006 08:27 am, Steve Litt wrote:
> > Hi all,
> >
> > I propose that we (all contributors) continue licensing VO under GPL2,
> > and ONLY GPL2 (none of this "GPL2 or later at your option" stuff) until
> > we truly understand the ramifications of GPL3.
> >
> > Thanks
> >
> > SteveT
>
> Steve,
>
> Could you elaborate?
>
> Thanks,
> Noel

Hi Noel,

AFAIK all our licenses for core VO are under GPL version 2. Some of the
non-core stuff isn't GPL at all, and so of course that stuff is not at issue
here.

There is some discussion of whether version 3 would even be compatibile with
version 2, and lots of discussion as to whether version 3 is even the best
way to go:

http://www.linux-watch.com/news/NS3632456744.html

I'm proposing that we do not instantly jump to GPL version 3, nor do we do
what Stallman recommends and say "GPL 2 or later, at the user's option", but
explicitly say "Version 2". Eventually the community at large will come to a
concensus of GPL version 3, at which time either:

1) The community will mostly approve
2) GPLv3 will change to accommodate the majority of the community
3) A sizeable chunk of the community will migrate to a non-GPL license

Until that stuff's decided, I propose we not to jump into GPLv3.

SteveT

Steve Litt
Author:
   * Universal Troubleshooting Process courseware
   * Troubleshooting Techniques of the Successful Technologist
   * Rapid Learning: Secret Weapon of the Successful Technologist
Webmaster
   * Troubleshooters.Com
   * http://www.troubleshooters.com
_______________________________________________
VimOutliner mailing list
[hidden email]
http://www.lists.vimoutliner.org/mailman/listinfo/vimoutliner